Message " Creating Slash Library... "
CREATELIB "Slash"
;
;  All rights reserved. (c) Copyright 1991.
;                       by: Steven Booth
;                           N28W29868 Oakwood Grove Road
;                           Pewaukee, WI 53072
;
;     BldSlash.a  - Build File Name with double slashes. Required for passed
;                   parameters for WPWRITE.
;         GetYN.a - Get a Y/N Response
;     PaintCanv.u - Paint Canvas

PROC BldSlash.a(Str.a)
;
; ** BldSlash.a = Builds a file name with double slashes in it.
;

Private Save_Str.a,       ; Saved String
        Str_posl.s,       ; Slash
        Temp.a            ; Temporary Holding String

   Str_posl.s = SEARCH("\\", Str.a)
   IF ( Str_posl.s = 0 ) THEN
      Save_Str.a = Str.a
      RELEASE VARS Str.a
      Return Save_Str.a
   ELSE
      Temp.a = Str.a
      Save_Str.a = ""
      WHILE ( Str_posl.s <> 0 )
         Save_Str.a = Save_Str.a +
                            SUBSTR(Temp.a, 1, Str_posl.s ) + "\\"
         Temp.a = SUBSTR( Temp.a, Str_posl.s+1, (Len(Temp.a) - Str_posl.s) )
         Str_posl.s = SEARCH("\\", Temp.a)
      ENDWHILE
      Save_Str.a = Save_Str.a + Temp.a
      RELEASE VARS Str.a
      Return Save_Str.a
   ENDIF
ENDPROC

PROC GetYN.a(msg.a)

; Get Yes/No Answer
;
;     Returns:  Y, N, or ESC

Private Ans.a

WHILE CHARWAITING()           ; Eat any characters already in buffer
      Ans.a = GETCHAR()
ENDWHILE

PaintCanv.u(msg.a)
WHILE ( True )
   gc.a = GETCHAR()
   IF ( gc.a = 27 ) THEN
      retval = False
      ?? "Esc"
      QUITLOOP
   ENDIF
   Ans.a = UPPER(CHR(gc.a))
   IF ( Ans.a = "Y" OR Ans.a = "N" ) THEN
      retval = True
      ?? Ans.a
      QUITLOOP
   ENDIF
ENDWHILE

IF ( retval = True ) THEN
   return Ans.a
ELSE
   return "Esc"
ENDIF
ENDPROC

PROC PaintCanv.u(Msg)
;
; ** PaintCanv.u = Paint Canvas

@ 1,0 CLEAR EOL
@ 0,0 CLEAR EOL
PAINTCANVAS ATTRIBUTE 112  0, 0, 1, 79
?? Msg
Return
ENDPROC

WRITELIB "Slash" BldSlash.a, GetYN.a, PaintCanv.u